#include <TFile.h>
#include <TStyle.h>
#include <TSystem.h>
#include <TROOT.h>
#include <TCanvas.h>
#include <TGraphErrors.h>
#include <TMultiGraph.h>
#include <TH1.h>
#include <TH3.h>
#include <TString.h>
#include <TMath.h>
#include <TLatex.h>
#include <TPaveText.h>
#include <TLegend.h>

void SetTGraphStyle(TGraphErrors* grErr, int pid, int cent);

void PresentAllEnergies() {

  int nPionKtBins = 7;
  int PionFitKtArray[7][2] = {{2,2}, {3,3}, {4,4}, {5,5}, {6,6}, {7,7}, {8,10}};
  int nKaonKtBins = 5;
  int KaonFitKtArray[5][2] = {{0,3}, {4,5}, {6,7}, {7,8}, {9,10}};

  double KtShift = 0.1;
  double KtStep = 0.1;
  double KtVal;
  double MtVal;

  int nBeamEnergies = 8;
  int nCentralities = 3;

  TString mKaonFileName[8][3];
  TString mPionFileName[8][3];
  for(int iEne=0; iEne<2; iEne++) {
    for(int iCent=0; iCent<2; iCent++) {
      int energy;
      int centrality;
      switch(iEne) {
      case 0:
	energy = 200;
	break;
      case 1:
	energy = 62;
	break;
      case 2:
	energy = 39;
	break;
      case 3:
	energy = 27;
	break;
      case 4:
	energy = 19;
	break;
      case 5:
	energy
      default:
	energy = 200;
      };
      switch(iCent) {
      case 0:
	centrality = 8;
	break;
      case 1: 
	centrality = 5;
	break;
      default:
	centrality = 8;
      }
      //Kaons
      mKaonFileName[iEne][iCent] = "/oAuAu";
      mKaonFileName[iEne][iCent] += energy;
      mKaonFileName[iEne][iCent] += "_kaons_3d_cent";
      mKaonFileName[iEne][iCent] += centrality;
      mKaonFileName[iEne][iCent] += ".root";

      //Pions
      mPionFileName[iEne][iCent] = "../oAuAu";
      mPionFileName[iEne][iCent] += energy;
      mPionFileName[iEne][iCent] += "_pions_3d_cent";
      mPionFileName[iEne][iCent] += centrality;
      mPionFileName[iEne][iCent] += ".root";
    }
  }

}
